GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Static Public Member Functions | Private Attributes | Static Private Attributes | List of all members
GpgFrontend::CoreCommonUtil Class Reference
Inheritance diagram for GpgFrontend::CoreCommonUtil:
Collaboration diagram for GpgFrontend::CoreCommonUtil:

## Signals
void | SignalGnupgNotInstall ()

## Public Member Functions
void | SetTempCacheValue (const std::string &, const std::string &)
| set a temp cache under a certain key
std::string | GetTempCacheValue (const std::string &)
| after get the temp cache, its value will be imediately ease in storage More...
void | ResetTempCacheValue (const std::string &)
| imediately ease temp cache in storage More...

## Static Public Member Functions
static CoreCommonUtil * | GetInstance ()
| Construct a new Core Common Util object.

## Private Attributes
std::map< std::string, std::string > | temp_cache_

## Static Private Attributes
static std::unique_ptr< CoreCommonUtil > | instance_ = nullptr

## Member Function Documentation

## ◆ GetTempCacheValue()

std::string GpgFrontend::CoreCommonUtil::GetTempCacheValue | ( | const std::string & | key | ) |

after get the temp cache, its value will be imediately ease in storage

Returns
  std::string

Referenced by GpgFrontend::GpgContext::custom_passphrase_cb().

## ◆ ResetTempCacheValue()

void GpgFrontend::CoreCommonUtil::ResetTempCacheValue | ( | const std::string & | key | ) |

imediately ease temp cache in storage

Returns
  std::string

Referenced by GpgFrontend::UI::KeyGenDialog::slot_key_gen_accept(), and GpgFrontend::UI::SubkeyGenerateDialog::slot_key_gen_accept().

The documentation for this class was generated from the following files:

- src/core/common/CoreCommonUtil.h
- src/core/common/CoreCommonUtil.cpp